//
//  SDKEntryBoneKit.m
//  BoneKitDemo
//
//  Created by dujin on 2017/11/17.
//  Copyright © 2017年 Alibaba. All rights reserved.
//

#import "SDKEntryBoneKit.h"
#import <UIKit/UIKit.h>

#import "BoneDemoProxy.h"
#import <IMSBoneKit/IMSBoneConfiguration.h>

@protocol IMSSDKEntryProtocol <NSObject>

@required
+ (NSDictionary *)getSDKDisplayConfig;
+ (void)didSelected:(NSNumber *)selectedIndex from:(UINavigationController *)navigation;
+ (float)getInitLevel;
+ (void)SDKEntryInit;

@end

@interface SDKEntryBoneKit () <IMSSDKEntryProtocol>

@end


@implementation SDKEntryBoneKit

+ (NSDictionary *)getSDKDisplayConfig {
    return @{ @"DisplayName" : @"Bone Mobile 容器 SDK",
              @"Actions": @[@"API列表", @"组件列表", @"环境切换", @"本地调试"],
              @"OnlineStatus": [self serverStatus],
              @"DisplayLevel": @"0"
              };
}

+ (void)didSelected:(NSNumber *)selectedIndex from:(UINavigationController *)navigation {
    UIViewController *controller = navigation.viewControllers.lastObject;
    switch ([selectedIndex integerValue]) {
        case 0: {
            [[BoneDemoProxy proxyWithController:controller] showBoneApiDemo];
            break;
        }
        case 1: {
            [[BoneDemoProxy proxyWithController:controller] showBoneUIDemo];
            break;
        }
        case 2: {
            [[BoneDemoProxy proxyWithController:controller] showBoneEnvDemo];
            break;
        }
        case 3: {
          [[BoneDemoProxy proxyWithController:controller] showBoneDebug];
          break;
        }
        default:
            break;
    }
}

+ (void)SDKEntryInit {
    IMSBoneConfiguration *configuration = [IMSBoneConfiguration sharedInstance];
    configuration.serverEnvironment = IMSBoneServerEnvironmentRelease;
    
    NSString *env = [BoneDemoProxy getPluginEnvironment];
    if (env.length == 0) {
        env = @"test";
        [BoneDemoProxy setPluginEnvironment:@"test"];
    }
    if ([env isEqualToString:@"test"]) {
        configuration.pluginEnvironment = IMSBonePluginEnvironmentDaily;
    } else {
        configuration.pluginEnvironment = IMSBonePluginEnvironmentRelease;
    }
}

+ (float)getInitLevel {
    return 2.3;
}

+ (NSString *)serverStatus {
    NSString *env = [BoneDemoProxy getPluginEnvironment];
    if ([env isEqualToString:@"test"]) {
        return @"开发环境";
    } else if ([env isEqualToString:@"release"]) {
        return @"生产环境";
    }
    return @"";
}



@end
