//
//  SDKEntryAccount.m
//  IMSAccountDemo
//
//  Created by 文季 on 2017/11/17.
//  Copyright © 2017年 Aliyun.com. All rights reserved.
//

#import "SDKEntryAccount.h"
#import <UIKit/UIKit.h>
#import "AccountViewController.h"
#import <IMSAccount/IMSAccount.h>
#import "IMSOpenAccount.h"

@protocol IMSSDKEntryProtocol <NSObject>

@required
+ (NSDictionary *)getSDKDisplayConfig;
+ (void)didSelected:(NSNumber *)selectedIndex from:(UINavigationController *)navigation;
+ (void)SDKEntryInit;
+ (float)getInitLevel;

@end

@interface SDKEntryAccount () <IMSSDKEntryProtocol>

@end

@implementation SDKEntryAccount

+ (NSDictionary *)getSDKDisplayConfig {
    return @{
             @"DisplayName" : @"账号和用户",
             @"Actions": @[@"界面展示"],
             @"DisplayLevel": @"3",
            };
}

+ (void)didSelected:(NSNumber *)selectedIndex from:(UINavigationController *)navigation {
    UIViewController *vc = [AccountViewController storyboardController];
    [navigation pushViewController:vc animated:YES];
}

+ (void)SDKEntryInit {
    IMSOpenAccount *openAccount = [IMSOpenAccount sharedInstance];
    [IMSAccountService sharedService].sessionProvider = openAccount;
    [IMSAccountService sharedService].accountProvider = openAccount;
}


+ (float)getInitLevel {
    return 1.3;
}

@end
