//
//  IMSApiClientResultViewController.m
//  IMSApiClientDemo
//
//  Created by Hager Hu on 24/11/2017.
//  Copyright © 2017 Alibaba-Inc. All rights reserved.
//

#import "IMSApiClientResultViewController.h"

#import <IMSHUD/UIViewController+HUD.h>

@interface IMSApiClientResultViewController ()

@property (weak, nonatomic) IBOutlet UITextView *resultView;
@property (weak, nonatomic) IBOutlet UIButton *actionButton;

@end

@implementation IMSApiClientResultViewController

+ (instancetype)storyboardController {
    NSBundle *bundle = [NSBundle bundleForClass:[self class]];
    NSURL *url = [bundle URLForResource:@"IMSApiClientDemo" withExtension:@".bundle"];
    if (!url) {
        url = [bundle bundleURL];
    }
    NSBundle *demoBundle = [NSBundle bundleWithURL:url];
    UIStoryboard *storyboard = [UIStoryboard storyboardWithName:@"IMSApiClientDemo" bundle:demoBundle];
    NSString *name = NSStringFromClass([self class]);
    
    return [storyboard instantiateViewControllerWithIdentifier:name];
}

#pragma mark -

- (void)viewDidLoad {
    [super viewDidLoad];
    
    // Uncomment the following line to preserve selection between presentations.
    // self.clearsSelectionOnViewWillAppear = NO;
    
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
    
    self.resultView.text = self.result;
    self.tableView.backgroundColor=[UIColor colorWithRed:239.0 / 255
                                                   green:238.0 / 255
                                                    blue:241.0 / 255
                                                   alpha:1];
    self.tableView.separatorColor=[UIColor colorWithRed:234 / 255.0
                                                  green:234 / 255.0
                                                   blue:234 / 255.0
                                                  alpha:1 / 1.0];
    
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


#pragma mark - UITableViewDelegate

- (CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section {
    if (section == 0) {
        return 32.0f;
    }
    
    return CGFLOAT_MIN;
}


- (void)tableView:(UITableView *)tableView
willDisplayHeaderView:(UIView *)view
       forSection:(NSInteger)section {
    // Text Color
    UITableViewHeaderFooterView *header = (UITableViewHeaderFooterView *)view;
    [header.textLabel setTextColor:[UIColor colorWithRed:155 / 255.0
                                                   green:155 / 255.0
                                                    blue:155 / 255.0
                                                   alpha:1 / 1.0]];
    header.textLabel.font = [UIFont fontWithName:@"PingFangSC-Regular" size:12];
}


#pragma mark - Handle UIButton Events

- (IBAction)actionButtonDidClicked:(id)sender {
    UIPasteboard *board = [UIPasteboard generalPasteboard];
    [board setString:self.result];
    
    [self ims_showHUDWithMessage:@"数据已经复制到粘贴板"];
}

@end
