//
//  SDKEntryApiClient.m
//  IMSApiClientDemo
//
//  Created by 文季 on 2017/11/16.
//  Copyright © 2017年 Alibaba-Inc. All rights reserved.
//

#import "SDKEntryApiClient.h"
#import <UIKit/UIKit.h>
#import "IMSApiClientDemoViewController.h"
#import <IMSApiClient/IMSApiClient.h>

@protocol IMSSDKEntryProtocol <NSObject>

@required
+ (NSDictionary *)getSDKDisplayConfig;
+ (void)didSelected:(NSNumber *)selectedIndex from:(UINavigationController *)navigation;
+ (float)getInitLevel;
+ (void)SDKEntryInit;

@end

@interface SDKEntryApiClient () <IMSSDKEntryProtocol>

@end

@implementation SDKEntryApiClient

+ (NSDictionary*)getSDKDisplayConfig {
    return @{ @"DisplayName" : @"API 通道",
              @"DisplayLevel": @"1",
              @"Actions": @[@"调试"]};
}

+ (void)didSelected:(NSNumber *)selectedIndex from:(UINavigationController *)navigation {
    UIViewController *vc = [IMSApiClientDemoViewController storyboardController];
    [navigation pushViewController:vc animated:YES];
}

+ (float)getInitLevel {
    return 1.2;
}

+ (void)SDKEntryInit {
    [IMSConfiguration initWithHost:@"api.link.aliyun.com" serverEnv:IMSServerRelease];
}

@end
