//
//  AKLogView.m
//  Pods
//
//  Created by Wenji.lsl on 15/11/26.
//
//

#import "AKLogView.h"
#import "PTEConsoleTableView.h"
#import "PTEConsoleLogger.h"

@interface AKLogView ()

@property (nonatomic, strong) IBOutlet PTEConsoleTableView *consoleTableView;

@property (nonatomic, weak) IBOutlet UIButton *markBtn;
@property (nonatomic, weak) IBOutlet UIButton *clearBtn;
@property (nonatomic, weak) IBOutlet UIButton *uploadLogBtn;

- (IBAction)clearConsole:(UIButton *)sender;
- (IBAction)addMarker:(UIButton *)sender;

@end

@implementation AKLogView

+ (instancetype)viewFromStoryboard
{
	//加载Storyboard
	UIStoryboard *storyboard = [UIStoryboard storyboardWithName:@"LumberjackConsole"
														 bundle:[NSBundle mainBundle]];
	
	return (AKLogView *)[storyboard instantiateInitialViewController].view;
}

- (void)awakeFromNib
{
	[super awakeFromNib];
	
	self.logger = [PTEConsoleLogger new];
//    self.logger.shortLogFormatter = [DDTTYLogger sharedInstance].logFormatter;
    self.logger.logFormatter = [DDTTYLogger sharedInstance].logFormatter;
	self.consoleTableView.logger = self.logger;
}

- (IBAction)clearConsole:(UIButton *)sender
{
	[self.logger clearConsole];
}

- (IBAction)addMarker:(UIButton *)sender
{
	[self.logger addMarker];
}

- (IBAction)onUploadLogBtnClicked:(UIButton *)sender
{
	if ([self.delegate respondsToSelector:@selector(logView:onUploadLogClicked:)]) {
		[self.delegate logView:self onUploadLogClicked:self.consoleTableView.logger.logMessages];
	}
}

@end
