//
//  IMSDashboardLogAssistant.m
//  IMSLogDemo
//
//  Created by muda on 2017/11/13.
//  Copyright © 2017年 muda. All rights reserved.
//

#import "IMSDashboardLogAssistant.h"
#import <CocoaLumberjack/CocoaLumberjack.h>
#import "AKDebugDashboard.h"
#import "IMSLogSettingView.h"
@interface IMSDashboardLogAssistant()<AKDebugDashboardDelegate>
@property(nonatomic, strong) DDLog * privateDDlog;
@property(nonatomic, strong) IMSLogSettingView *settingView;
@end
@implementation IMSDashboardLogAssistant
-(instancetype)init{
    self = [super init];
    if (self) {
        self.settingView = [IMSLogSettingView viewFromStoryboard];
        [[AKDebugDashboard sharedDashboard] insertSegmentWithTitle:@"日志设置" view:self.settingView atIndex:1];
        [AKDebugDashboard sharedDashboard].delegate = self;
        [[AKDebugDashboard sharedDashboard]setFullScreen:NO];
    }
    return self;
}
-(void)dashboard:(AKDebugDashboard *)dashboard selectSegmentIndex:(NSUInteger)segment{
    self.settingView.tagLevelRules = [IMSLog tagLevelRules];
}
#pragma mark - IMSLogAssistant
-(void)logMessage:(IMSLogMessage *)message{
    
}
-(void)log:(BOOL)asynchronous level:(IMSLogLevel)level flag:(IMSLogFlag)flag context:(NSInteger)context file:(const char *)file function:(const char *)function line:(NSUInteger)line tag:(id)tag format:(NSString *)format args:(va_list)argList{
    [[DDLog sharedInstance] log:asynchronous
                     level:(DDLogLevel)level
                      flag:(DDLogFlag)flag
                   context:context
                      file:file
                  function:function
                      line:line
                       tag:tag
                    format:format
                      args:argList];
}

@end
