//
//  IMSLogSettingView.m
//  IMSLogDemo
//
//  Created by muda on 2017/11/15.
//  Copyright © 2017年 muda. All rights reserved.
//

#import "IMSLogSettingView.h"
#import "IMSTagSettingCell.h"

@interface IMSLogSettingView()<UITableViewDelegate,UITableViewDataSource>
@end
@implementation IMSLogSettingView

+ (instancetype)viewFromStoryboard
{
    //加载Storyboard
    UIStoryboard *storyboard = [UIStoryboard storyboardWithName:@"LumberjackConsole"
                                                         bundle:[NSBundle mainBundle]];
    
    return (IMSLogSettingView *)[storyboard instantiateViewControllerWithIdentifier:@"IMSTagSettingViewController"].view;
}
- (void)awakeFromNib
{
    [super awakeFromNib];
    self.tableView.dataSource = self;
    self.tableView.delegate = self;
    
}

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return self.tagLevelRules.count;
}


- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    IMSTagSettingCell *cell = [tableView dequeueReusableCellWithIdentifier:@"IMSTagSettingCell" forIndexPath:indexPath];
    cell.rule = self.tagLevelRules[indexPath.row];
    // Configure the cell...
    
    return cell;
}
-(void)setTagLevelRules:(NSArray<IMSLogRule *> *)tagLevelRules{
    _tagLevelRules = tagLevelRules;
    [self.tableView reloadData];

}
@end
