//
//  SDKEntryMobileChannel.m
//  IMSMobileChannelDemo
//
//  Created by 文季 on 2017/11/17.
//  Copyright © 2017年 Alibaba-Inc. All rights reserved.
//

#import "SDKEntryMobileChannel.h"
#import <UIKit/UIKit.h>
#import "IMSMobileChannelTableViewController.h"

@protocol IMSSDKEntryProtocol <NSObject>

@required
+ (NSDictionary *)getSDKDisplayConfig;
+ (void)didSelected:(NSNumber *)selectedIndex from:(UINavigationController *)navigation;
+ (void)SDKEntryInit;
+ (float)getInitLevel;

@end

@interface SDKEntryMobileChannel () <IMSSDKEntryProtocol>

@end

@implementation SDKEntryMobileChannel

+ (NSDictionary *)getSDKDisplayConfig {
    return @{ @"DisplayName" : @"长连接通道",
              @"Actions": @[@"调试"],
              @"DisplayLevel":@"2"
              };
}

+ (float)getInitLevel {
    return 1.4;
}

+ (void)didSelected:(NSNumber *)selectedIndex from:(UINavigationController *)navigation {
    UIViewController *vc = [IMSMobileChannelTableViewController storyboardController];
    [navigation pushViewController:vc animated:YES];
}


+ (void)SDKEntryInit {
    [IMSMobileChannelTableViewController setup];
}

@end
