//
//  SDKEntryPush.m
//  IMSAppDemo
//
//  Created by Dong on 2017/11/24.
//  Copyright © 2017年 Aliyun.com. All rights reserved.
//

#import "SDKEntryPush.h"
#import <UIKit/UIKit.h>

@protocol IMSSDKEntryProtocol <NSObject>

@required
+ (NSDictionary *)getSDKDisplayConfig;
+ (void)didSelected:(NSNumber *)selectedIndex
               from:(UINavigationController *)navigation;
+ (float)getInitLevel;
+ (void)SDKEntryInit;

@optional
+ (instancetype)sharedInstance;

@end

@interface SDKEntryPush () <IMSSDKEntryProtocol>

@end

@implementation SDKEntryPush

+ (NSDictionary *)getSDKDisplayConfig {
  return @{
    @"DisplayName" : @"移动应用推送",
    @"Actions" : @[ @"查看DeviceID" ],
    @"InitLevel" : @"3.5",
    @"DisplayLevel" : @"4"
  };
}

+ (void)didSelected:(NSNumber *)selectedIndex
               from:(UINavigationController *)navigation {
  UIViewController *vc = [NSClassFromString(@"AboutViewController")
      performSelector:@selector(sharedInstance)];
  [navigation pushViewController:vc animated:YES];
}

+ (float)getInitLevel {
  return 3.5;
}

+ (void)SDKEntryInit {
}

@end
